---
title: rattler-build generate-recipe
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) generate-recipe

Generate a recipe from PyPI, CRAN, CPAN, or LuaRocks

## Usage
```
rattler-build generate-recipe <COMMAND>
```

## Subcommands
| Command | Description |
|---------|-------------|
| [`pypi`](pypi.md) | Generate a recipe for a Python package from PyPI |
| [`cran`](cran.md) | Generate a recipe for an R package from CRAN |
| [`cpan`](cpan.md) | Generate a recipe for a Perl package from CPAN |
| [`luarocks`](luarocks.md) | Generate a recipe for a Lua package from LuaRocks |

